#include <iostream>
#include <hip/hip_ext.h>

void ExtLaunchKernel(
    hipFunction_t kernel_func, dim3 gws, dim3 lws, size_t shared_mem_bytes,
    hipStream_t stream, void** args) {
  auto err =
      hipExtModuleLaunchKernel(kernel_func, gws.x, gws.y, gws.z, lws.x, lws.y,
                               lws.z, shared_mem_bytes, stream, args, nullptr);
  if (err != hipSuccess) { 
    std::cerr << "Failed to launch kernel err: " <<  hipGetErrorString(err) << std::endl;
  }
}
